#include "cstdlib"
#include "iostream"
#include "string"

using std::cout;
using std::endl;
using std::getenv;
using std::cin;
using std::string; 

class a{
private:
  int s;
  int c;
public:
  a(int t=0,int d=0) : s(t), c(d){};
  void print() { cout <<" s,c : "<< s <<", "<< c << endl;}

};

int main(){
  string t;
  cin >> t;
  cout << "test: "<< getenv(t.c_str()) << endl;

  a f(123,456),b;
  f.print();
  b.print();
  b=f;
  b.print();
  return 0;

}
